#/bin/bash

sleep 1
bash kill_all.sh
sleep 1

scripts_dir=$(pwd)
mdc_dir=${scripts_dir}/..
echo ${mdc_dir}
log_dir=${mdc_dir}/log
if [ ! -d $log_dir ]; then
    mkdir $log_dir
fi 

cd $mdc_dir/can
nohup bash start.sh >../log/log.canMsg  2>&1 &

cd $mdc_dir/decision
nohup bash start.sh >../log/log.dpc_dm  2>&1 &

cd $mdc_dir/SM_SDK
nohup bash start.sh >../log/log.dpc_sm  2>&1 &

cd $mdc_dir/dpc_em
nohup bash start.sh >../log/log.dpc_em  2>&1 &

cd $mdc_dir/salme_src
nohup bash start.sh >../log/log.slam  2>&1 &

cd $mdc_dir/TRPC_Lat_SDK
nohup bash start.sh >../log/log.dpc_trpc_lat  2>&1 &

cd $mdc_dir/TRPC_Long_SDK
nohup bash start.sh >../log/log.dpc_trpc_long  2>&1 &

cd $mdc_dir/VED_SDK
nohup bash start.sh >../log/log.dpc_ved  2>&1 &

